package com.chinaweal.aiccs.aiccs.seriousillegal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.seriousillegal.entity.TSBizSerIllegalRem;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 移出严重违法企业名单业务表 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-26
 */
public interface TSBizSerIllegalRemMapper extends BaseMapper<TSBizSerIllegalRem> {

    List<TSBizSerIllegalRem> selectBRMserIllegalList(@Param("tsBizSerIllegalRemModel") TSBizSerIllegalRem tsBizSerIllegalRemModel);

    List<TSBizSerIllegalRem> queryBRMserIllegalList(@Param("tsBizSerIllegalRemModel") TSBizSerIllegalRem tsBizSerIllegalRemModel);

    List<TSBizSerIllegalRem> selectbizRembizseq(@Param("bizseq") String bizseqid);

    IPage<TSBizSerIllegalRem> selectbizRemByPagelist(IPage<TSBizSerIllegalRem> page, @Param("tsBizSerIllegalRemModel") TSBizSerIllegalRem tsBizSerIllegalRemModel);

    List<TSBizSerIllegalRem> selectbizRemByPriPid(@Param("params") Map<String, Object> parm);

    List<TSBizSerIllegalRem> selectbizRemByPriPidAndBizseq(@Param("params") Map<String, Object> parm);

    TSBizSerIllegalRem queryHistorgBizRemInfo(@Param("SAPPROVECODE") String SAPPROVECODE);

    String querynoticecontent(@Param("SAPPROVECODE") String SAPPROVECODE);
}
